﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Com.Extbcr.Scannersdk;


namespace H28SDKTestApp
{
    public class BarcodeScannerEvents : Java.Lang.Object, Com.Extbcr.Scannersdk.IEventListener
    {
        public event EventHandler OnTimeoutEvent;
        public event EventHandler OnConnectEvent;
        public event EventHandler OnDisconnectEvent;
        public event EventHandler OnStartEvent;
        public event EventHandler OnStopEvent;
        public event EventHandler OnReadDataEvent;

        public void OnTimeout()
        {
            OnTimeoutEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnConnect()
        {
            OnConnectEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnDisconnect()
        {
            OnDisconnectEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnStart()
        {
            OnStartEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnStop()
        {
            OnStopEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnReadData(BarcodeData bcrData)
        {

            OnReadDataEvent.Invoke(this, new ReadDataEventArgs(bcrData));
        }
    }
}